package cn.ibizlab.assetmanagement.core.workorder.service;

import java.io.Serializable;
import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.util.Collection;
import java.math.BigInteger;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;
import com.alibaba.fastjson.JSONObject;
import org.springframework.cache.annotation.CacheEvict;

import cn.ibizlab.assetmanagement.core.workorder.domain.EAMWOState;
import cn.ibizlab.assetmanagement.core.workorder.filter.EAMWOStateSearchContext;


import com.baomidou.mybatisplus.extension.service.IService;

/**
 * 实体[EAMWOState] 服务对象接口
 */
public interface IEAMWOStateService extends IService<EAMWOState>{

    boolean create(EAMWOState et) ;
    void createBatch(List<EAMWOState> list) ;
    boolean update(EAMWOState et) ;
    void updateBatch(List<EAMWOState> list) ;
    boolean remove(String key) ;
    void removeBatch(Collection<String> idList) ;
    EAMWOState get(String key) ;
    EAMWOState getDraft(EAMWOState et) ;
    boolean checkKey(EAMWOState et) ;
    boolean save(EAMWOState et) ;
    void saveBatch(List<EAMWOState> list) ;
    Page<EAMWOState> searchDefault(EAMWOStateSearchContext context) ;
    /**
     *自定义查询SQL
     * @param sql  select * from table where id =#{et.param}
     * @param param 参数列表  param.put("param","1");
     * @return select * from table where id = '1'
     */
    List<JSONObject> select(String sql, Map param);
    /**
     *自定义SQL
     * @param sql  update table  set name ='test' where id =#{et.param}
     * @param param 参数列表  param.put("param","1");
     * @return     update table  set name ='test' where id = '1'
     */
    boolean execute(String sql, Map param);

    List<EAMWOState> getEamwostateByIds(List<String> ids) ;
    List<EAMWOState> getEamwostateByEntities(List<EAMWOState> entities) ;
}


